Create Namespace
Creates a new Namespace
Creates a new Namespace in Provider Management
Request
URI
POST
https://{api_host}/cloudapi/v1/namespaces
COPY
Request Body
Namespace
of type(s)
application/json
Optional
{
"id": "string",
"name": "string",
"description": "string",
"projectAssignment": {
"name": "string",
"id": "string"
},
"organization": {
"name": "string",
"id": "string"
},
"region": {
"name": "string",
"id": "string"
},
"virtualPrivateCloudName": "string",
"workloadNetwork": {
"name": "string",
"id": "string"
},
"zonalResourceAllocation": [
{
"zone": {
"name": "string",
"id": "string"
},
"resourceAllocation": {
"memoryLimitMiB": 0,
"memoryReservationMiB": 0,
"cpuLimitMHz": 0,
"cpuReservationMHz": 0,
"vmClassReservations": [
{
"virtualMachineClassName": "string",
"count": 0,
"usedCount": 0
}
],
"realizedMemoryLimitMiB": 0,
"realizedMemoryReservationMiB": 0,
"realizedCpuLimitMHz": 0,
"realizedCpuReservationMHz": 0,
"memoryUsedMiB": 0,
"cpuUsedMHz": 0,
"markedForRemoval": false
},
"errorMessage": "string",
"realizedStatus": "string"
}
],
"proxyURL": "string",
"status": "string",
"vcReference": {
"supervisorUuid": "string",
"vcUuid": "string"
},
"segName": "string",
"lastModifiedTime": "string",
"storageClasses": [
{
"storageClass": {
"name": "string",
"id": "string"
},
"storageLimitMiB": 0,
"realizedStorageLimitMiB": 0
}
],
"virtualMachineClasses": [
{
"name": "string",
"id": "string"
}
],
"contentLibraries": [
{
"name": "string",
"id": "string"
}
],
"sharedSubnetNames": [
"string"
],
"infraPolicies": [
{
"infraPolicy": {
"name": "string",
"id": "string"
},
"enforcedBy": "string",
"enforcementStatus": "string"
}
]
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","projectAssignment":"object","region":"object","zonalResourceAllocation":["object"]}' https://{api_host}/cloudapi/v1/namespaces
Availability
Added in 9.0.0
Namespaces Operations
GET
Get Namespaces
POST
Create Namespace
POST
Import Namespace
GET
Get Namespace
PUT
Update Namespace
DELETE
Delete Namespace
GET
Get Namespace Storage Class Metrics